function lp = LatticeParam(k, v)
% LATTICEPARAM creates a LatticeParam structure containing the reflection
% and tripping coefficients for Lattice filters.
% LATTICEPARAM(k, v)
%
% inputs:
%
% k : reflection coeff.
% v : tripping coeff.
%
% If one of the two vectors has fewer number of elements it is appended
% with zeros at the higher order coefficients.

ks=length(k);
vs=length(v);

if(ks < vs-1)
    k=[zeros(1, vs-1-ks) k];
elseif(vs-1 < ks)
    v=[zeros(1, ks-vs+1) v];
end;

lp=struct('k', k, 'v', v);