function rp = ResParam(z, w, r, d)
% RESPARAM Creates Resonator Parameter structure
% RESPARAM(z, w, r, d)

if(~isnumeric(z)) error('z parameter must be a complex vector!'); end;
if(~isnumeric(w)) error('w parameter must be a complex vector!'); end;
if(~isnumeric(r)) error('r parameter must be a real vector!'); end;
if((~isnumeric(d))||(length(d)~=1)) error('d parameter must be a real scalar!'); end;

len=length(z);
if(length(w)~=len) error('z and w must have the same length!'); end;
if(length(r)~=len) error('z and r must have the same length!'); end;
    
rp=struct('z', z, 'w', w, 'r', r, 'd', d);