function tf = TransferFn(num, den)
% TRANSFERFN creates a TransferFn structure containing the numerator and
% the denominator.
% TRANSFERFN(num, den)
%
% inputs:
%
% num : numerator
% den : denominator
%
% If one of the two vectors has fewer number of elements it is appended
% with zeros at the higher order coefficients.

n=length(num);
d=length(den);

if(n < d)
    num=[zeros(1, d-n) num];
elseif(d < n)
    den=[zeros(1, n-d) den];
end;

tf=struct('num', num, 'den', den);